/***********************************************************
  文件名：11_motor.ino
  描述：控制直流电机。
  作者：陈志强
  日期：2022.11.4
***********************************************************/
//电机驱动模块INA接D5，INB接D6。
#define INB 6  //定义电机B端口
#define INA 5  //定义电机A端口
void setup() {
  pinMode(INB, OUTPUT);  //设置电机B端口为输出模式
  pinMode(INA, OUTPUT);  //设置电机A端口为输出模式

}

void loop() {
  analogWrite(INA, 255);  //设置电机A端口为高电平，pwm调速范围（0-255）
  analogWrite(INB, 0); //设置电机B端口为低电平
  delay(2000);          //2s之后电机停止
  analogWrite(INA, 0);  //设置电机A端口为低电平
  analogWrite(INB, 0); //设置电机B端口为低电平
  delay(2000);           //电机反转2s然后正转

}
